YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class CategoryAxis

Package | com.yahoo.astra.fl.charts.axes
Class | public class CategoryAxis
Inheritance | CategoryAxis BaseAxis
Implements | IAxis, IClusteringAxis

An axis type representing a set of categories.

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined by
--- | --- | ---
|  | calculateCategoryCount : Boolean Indicates whether or not to calculate the number of categories (ticks and labels) when there is not enough room to display all labels on the axis. | CategoryAxis
|  | categoryNames : Array The category labels to display along the axis. | CategoryAxis
|  | chart : IChart The chart in which this axis appears. | BaseAxis
|  | clusterCount : int [read-only] The number of clusters available on the axis. | CategoryAxis
|  | dataProvider : Array Data provider for the axis | BaseAxis
|  | labelFunction : Function | BaseAxis
|  | labelSpacing : Number The space, in pixels, between labels on an axis. | BaseAxis
|  | maxLabelHeight : Number Gets or sets the maximum height of a label | BaseAxis
|  | maxLabelWidth : Number Gets or sets the maximum width of a label | BaseAxis
|  | numLabels : Number | CategoryAxis
|  | renderer : IAxisRenderer The visual renderer applied to this axis. | BaseAxis
|  | reverse : Boolean Sets the direction of the labels and other visual objects along the axis. | BaseAxis
|  | title : String The text that will appear next to the axis to indicate information about the data that it displays. | BaseAxis

Public Methods
Hide Inherited Public Methods
Show Inherited Public Methods

| Method | Defined by
--- | --- | ---
|  | CategoryAxis() Constructor. | CategoryAxis
|  | getMaxLabel():String Returns the maximum string length of a label on the axis. | CategoryAxis
|  | updateScale():void Determines the axis scale based on the input data set. | CategoryAxis
|  | valueToLabel(value:Object):String Converts a value on the axis to formatted label text. | BaseAxis
|  | valueToLocal(value:Object):Number Calculates the position of a data point along the axis. | CategoryAxis

Property detail

calculateCategoryCount | property

`calculateCategoryCount:Boolean` [read-write]

Indicates whether or not to calculate the number of categories (ticks and labels) when there is not enough room to display all labels on the axis. If set to true, the axis will determine the number of categories to plot. If not, all categories will be plotted.

Implementation
`public function get calculateCategoryCount():Boolean`
`public function set calculateCategoryCount(value:Boolean):void`

categoryNames | property |

`categoryNames:Array` [read-write]

The category labels to display along the axis.

Implementation
`public function get categoryNames():Array`
`public function set categoryNames(value:Array):void`

clusterCount | property |

`clusterCount:int` [read-only]

The number of clusters available on the axis. In the case of the CategoryAxis, this is the number of category names displayed on the axis.

Implementation
`public function get clusterCount():int`

numLabels | property |

`numLabels:Number` [read-write]

Implementation
`public function get numLabels():Number`
`public function set numLabels(value:Number):void`
Constructor detail

CategoryAxis | () | constructor

`public function CategoryAxis()`

Constructor.

Method detail

getMaxLabel | () | method

`public function getMaxLabel():String`

Returns the maximum string length of a label on the axis.

Returns

| `String` — the formatted label

updateScale | () | method |

`public function updateScale():void`

Determines the axis scale based on the input data set. Seperating this function from the draw method optimizes processing time, and it allows the chart to synchronize its axes.

valueToLocal | () | method |

`public function valueToLocal(value:Object):Number`

Calculates the position of a data point along the axis.

Parameters

| `value:Object` — The data used to determine the position

Returns

| `Number` — The display position in pixels on the axis